$(document).ready(function () {
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $("#btnreport").click(function (e) {
        e.preventDefault();
        var data = $('#formfiltros').serialize();

        $.ajax({
            type: 'POST',
            url: '/reporteConsultivoData',
            data: data,
            beforeSend: function () {
                $('#div_mensajes').removeClass('d-none');
                $('#div_mensajes').addClass('text-center');
                $('#mensajes').html('<img src="vendor/adminlte/dist/img/load.gif" width="10%" height="10%" />');
            },
            success: function (data) {
                $('#div_mensajes').removeClass('d-none text-center')
                var w = window.open('about:blank');
                w.document.open();
                w.document.write(data);
                w.document.close();

            },
            error: function (xhr) { // if error occured
                toastr.error('Error: '.xhr.statusText + xhr.responseText);
            },
            complete: function () {
                $('#div_mensajes').addClass('d-none');
            },
            dataType: 'html'
        });
    });
    $("#btn_cancelar").click(function () {

       clear_data()
    });




    function clear_data() {
        $('#txt_nombre').val('');
        $('#txt_edad').val('');
        $('#txt_direccion').val('');
        $('#txt_telefono').val('');
        $('#txt_cedula').val('');
        $('#hide_id').val('');
        $('#custom-tabs-one-home-tab').click();
        $("#chk_estado").prop('checked', 'checked');
        acciones();
    }




});

